<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Workshop on Characterizing Applications for Heterogeneous Exascale Systems</title>
<link href="css/style.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="wrapper">

<div id="branding">
	<h1 class="">CACHES 2011</h1>
	<h3>The First International Workshop on Characterizing 
		Applications for Heterogeneous Exascale Systems</h3>
	<h4>June 4th, 2011.</h4>
	<ul class="topNav">
		<li><a href="index.html">HOME</a></li>
		<li><a href="call-for-papers.html">CALL FOR PAPERS</a></li>
		<li><a href="submission.html">SUBMISSIONS</a></li>
		<li><a href="# " class="topNavAct">PROGRAM</a></li>
		<li><a href="organizing-committee.html">ORGANIZING COMMITTEE</a></li>
		<li><a href="registration.html">REGISTRATION</a></li>
		<li><a href="contact.html" class="topNavLast">CONTACT</a></li>
	</ul><br class="clear" />
</div>

<div class="midBox1">
		<h1>Technical Program</h1>
</div>

<div class="midBox1">
	<img src="images/speakers.JPG" width="660" alt="" />
</div>

<div class="midBox1">

		<h3>8:30am - 10:00am</h3>
		<h2>Opening Session</h2>
		<ul>
			<li class="col1">8:30 - 8:50 am:</li>
			<li class="col1">8:50 - 10:00 am:</li>

			<li class="col2 coltopper3">Opening Remarks by Workshop Co-chairs</li>
			<li class="col2">
				Keynote: Compiler Optimization for Heterogeneous Systems. 
                                </br> P. Sadayappan.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-saday-keynote.pdf">Slides</a>
	</br><img src="images/saday.JPG" width="168" alt="" />
	<img src="images/keynote.JPG" width="328" alt="" />
                        </li>
		</ul>

</div>

<div class="midBox1">
		<h3>10:00am-10:30am</h3>
		<h2>Break</h2>
</div>

<div class="midBox1">
		<h3>10:30am - 12:00pm</h3>
		<h2>Characterization of HPC Environments:</h2>
                Session Chair: Xipeng Shen
		<ul>
			<li class="col1">
				<i>Evaluation of Parallel Application-Level Behavioral Attributes.</i> </br>
					Jeffrey Evans and Charles E Lucas.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-behavior.pdf">Slides</a>
                        </li>
			<li class="col1">
				<i>Network-Theoretic Classification of Parallel Computation Patterns.</i> </br>
					Sean Whalen, Sean Peisert and Matt Bishop.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-network-pattern.pdf">Slides</a>
                        </li>
			<li class="col1">
				<i>Characterizing Application Runtime Behavior from System Logs and Metrics.</i> </br>
					Raghul Gunasekaran, David Dillow, Galen Shipman,
					Richard Vuduc and Edmond Chow.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-appcharacter.pptx">Slides</a>
                        </li>
		</ul>

</div>

<div class="midBox1">
		<h3>12:00pm - 1:30pm</h3>
		<h2>Lunch (on your own)</h2>
</div>

<div class="midBox1">
		<h3>1:30pm - 3:00pm</h3>
		<h2>Optimization for Heterogeneity and Scalability</h2>
                Session Chair: Raghul Gunasekaran
		<ul>
			<li class="col1">
				<i>Characterization and Transformation of Unstructured Control
					Flow in GPU Applications.</i> </br> 
                                Haicheng Wu, Gregory Diamos,
						Si Li and Sudhakar Yalamanchili.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-unstructure-flow.pptx">Slides</a>
                        </li>
			<li class="col1">
				<i>OpenFOAM on a GPU-based Heterogeneous Cluster.</i> </br>
					Rajat Phull, Srihari Cadambi, Nishkam Ravi and Srimat Chakradhar.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-openfoam.pptx">Slides</a>
                        </li>
			<li class="col1">
				<i>Platform IO DMA Transaction Acceleration.</i> </br> Steen Larsen and Ben Lee. 
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-DMA.pdf">Slides</a>
                        </li>
		</ul>

</div>

<div class="midBox1">
		<h3>3:00pm-3:30pm</h3>
		<h2>Break</h2>
</div>

<div class="midBox1">
		<h3>3:30pm - 5:00pm</h3>
		<h2>GPU-Accelerated HPC Applications</h2>
                Session Chair: Sriram Krishnamoorthy
		<ul>
			<li class="col1">
				<i>Computing Spherical Harmonic Transforms on CUDA-Compatible GPUs.</i></br>
					Fengshun Lu, Junqiang Song, Kaijun Ren, and Zhiqiang Liu. 
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-spherical.ppt">Slides</a>
                        </li>
			<li class="col1">
				<i>Implementing Large-Scale FFT on Heterogeneous Multi-core System.</i></br>
					Yan Li, Haibo Lin,Jeffrey R. Diamond,Yudong Yang and Zhenxing Han.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-fft.pptx">Slides</a>
                        </li>
			<li class="col1">
				<i>Parameter Tuning of a Hybrid Treecode-FMM on GPUs.</i></br>
					Rio Yokota and Lorena Barba.
                                <a href="http://www.mcs.anl.gov/events/workshops/ashes/2011/slides/2011-06-04-caches-Treecode-FMM.pdf">Slides</a>
                        </li>
		</ul>
</div>

<div class="midBox1">
	<img src="images/caches.JPG" width="768" alt="" />
</div>


</div>
 

<div id="footerContainer">
	<p>
		<label>Website template from <a href="http://vectorart.org">VectorArt</a>.</label>
		<label>Designed by Gregory Diamos. &nbsp;</label>
		<span>Copyright 2011. All Rights Reserved</span>
	</p>
</div>

</body>
</html>

